Subject: bug#4243: Emacs 23 ido-mode vc-hg bug

From: Tracy Reed <[email-masked]>
Date: Mon, 24 Aug 2009 12:30:54 -0700

On Mon, Aug 24, 2009 at 12:14:44PM -0700, Dan Nicolaescu spake thusly:
> Is there a command line flag to disable user's .hgrc? (like emacs has -q) 

Not a command line flag but the command:

hg help env 

mentions the HGRCPATH environment variable. It is a typical :
separated path that tells hg where to look for its rc file. If it is
empty it reads only in the repository .hg/hgrc file and not in the
user's ~/.hgrc or anywhere else. So if vc-hg set HGRCPATH="" that
would fix the issue for me although someone who happens to put status
= -q in their repo/.hg/hgrc file would still encounter confusion. I
just have talked to the hg guys in #mercurial on freenode and they are
not aware of any way to completely disable all forms of hgrc reading.

-- 
Tracy Reed
http://copilotco.com